# Lists activities on project template

Paginated list of activities for a template. Ordered from the most recent one to the oldest one.

Endpoint: GET /v1/projects/{projectId}/whatsapp/templates/{templateName}/languages/{languageCode}/activities
Version: 1.2.91
Security: BasicAuth, BearerAuth, OAuth2Production

## Security:

  - `BasicAuth` (unknown)
    http basic

  - `BearerAuth` (unknown)
    http bearer JWT

  - `OAuth2Production` (unknown)
    oauth2

## Path parameters:

  - `projectId` (string, required)
    The unique ID of the project. You can find this on the Sinch Dashboard.

  - `templateName` (string, required)
    The unique name of the template.

  - `languageCode` (string, required)
    The language code of the specific template.

## Query parameters:

  - `pageToken` (string)
    The page token if retrieving the next page from a previous query.

  - `pageSize` (number)
    The page size requested.

## Response 200:

  - `200` (unknown)
    Recent activities on template

## Response 200 fields (application/json):

  - `totalSize` (number, required)
    Total size of the entries matching the search query.

  - `pageSize` (number, required)
    Requested size of the page.

  - `previousPageToken` (string)
    Encoded token to use in list request to fetch previous batch of entries.

  - `nextPageToken` (string)
    Encoded token to use in list request to fetch next batch of entries.

  - `notifications` (array, required)

  - `notifications.type` (string, required)
    Enum: "COMMENT_ADDED", "CREATED", "DRAFT", "EDITED", "IN_PROGRESS", "REJECTED"

  - `notifications.created` (string)

  - `notifications.author` (string)

  - `notifications.comment` (string)

## Response 400:

  - `400` (unknown)
    BadRequest

## Response 400 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: project_not_initialized

  - `message` (string)
    Human readable message.
    Example: Project not initialized for WhatsApp.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Verify that the project ID is correct and that it has been onboarded for WhatsApp.

  - `additionalInformation` (object)
    Additional information for error.
    Example: {"supportedCodes":"AF, AR, AZ, BG, BN, CA, CS, DA, DE, EL, EN, EN_GB, EN_US, ES, ES_AR, ES_ES, ES_MX, ES_UY, ET, FA, FI, FIL, FR, GA, GU, HA, HE, HI, HR, HU, ID, IT, JA, KA, KK, KN, KO, KY_KG, LO, LT,…

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: unauthorized_error

  - `message` (string)
    Human readable message.
    Example: Unauthorized error.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Verify that projectId is correct.

## Response 404:

  - `404` (unknown)
    NotFound

## Response 404 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: template_not_found

  - `message` (string)
    Human readable message.
    Example: Template not found.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Verify that the parameters are correct.

## Response 500:

  - `500` (unknown)
    InternalServerError

## Response 500 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: internal_error

  - `message` (string)
    Human readable message.
    Example: Internal server error.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Please wait and try again, if the error persist please contact support.

## Response 200 examples:

  - `List template activities response` (unknown)
    Response for all template activities.

